Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002324TestLinkDatabase Postgrespublic2009-04-02 15:222009-05-11 15:55
Reportertoshi 
Assigned Tomhavlat 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.0 
Fixed in Version1.8.2 
Summary0002324: "General Test Plan Metrics" show error messages with PostgreSQL
DescriptionWhen we display "General Test Plan Metrics" on PostgreSQL environment, error messages about database are shown.
No other metrics seems be no problem.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filestxt file icon 1.8_PG_Patch.txt [^] (162 bytes) 2009-04-15 06:05 [Show Content]

- Relationships

-  Notes
(0006165)
toshi (reporter)
2009-04-02 15:23

Error Message:

ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=1 AND testplan_tcversions.urgency=1

THE MESSAGE :: SQL [76] executed [took 0.0099 secs][all took 0.1873 secs]: SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=1 AND testplan_tcversions.urgency=1 Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=2 AND testplan_tcversions.urgency=1

THE MESSAGE :: SQL [79] executed [took 0.0053 secs][all took 0.2057 secs]: SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=2 AND testplan_tcversions.urgency=1 Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=3 AND testplan_tcversions.urgency=1

THE MESSAGE :: SQL [82] executed [took 0.0203 secs][all took 0.2641 secs]: SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=3 AND testplan_tcversions.urgency=1 Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=1 AND testplan_tcversions.urgency=2

THE MESSAGE :: SQL [85] executed [took 0.0075 secs][all took 0.2995 secs]: SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=1 AND testplan_tcversions.urgency=2 Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=2 AND testplan_tcversions.urgency=2

THE MESSAGE :: SQL [88] executed [took 0.0079 secs][all took 0.3231 secs]: SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=2 AND testplan_tcversions.urgency=2 Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=3 AND testplan_tcversions.urgency=2

THE MESSAGE :: SQL [91] executed [took 0.0078 secs][all took 0.347 secs]: SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=3 AND testplan_tcversions.urgency=2 Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=1 AND testplan_tcversions.urgency=3

THE MESSAGE :: SQL [94] executed [took 0.0079 secs][all took 0.3709 secs]: SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=1 AND testplan_tcversions.urgency=3 Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=2 AND testplan_tcversions.urgency=3

THE MESSAGE :: SQL [97] executed [took 0.0083 secs][all took 0.3951 secs]: SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=2 AND testplan_tcversions.urgency=3 Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=3 AND testplan_tcversions.urgency=3

THE MESSAGE :: SQL [100] executed [took 0.0083 secs][all took 0.4169 secs]: SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=3 AND testplan_tcversions.urgency=3 Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( testplan_tcversions.id ) FROM testplan_tcversions JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND tcversions.importance=1 AND testplan_tcversions.urgency=1

THE MESSAGE :: SQL [104] executed [took 0.0088 secs][all took 0.445 secs]: SELECT COUNT( testplan_tcversions.id ) FROM testplan_tcversions JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND tcversions.importance=1 AND testplan_tcversions.urgency=1 Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( testplan_tcversions.id ) FROM testplan_tcversions JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND tcversions.importance=2 AND testplan_tcversions.urgency=1

THE MESSAGE :: SQL [107] executed [took 0.0124 secs][all took 0.4778 secs]: SELECT COUNT( testplan_tcversions.id ) FROM testplan_tcversions JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND tcversions.importance=2 AND testplan_tcversions.urgency=1 Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( testplan_tcversions.id ) FROM testplan_tcversions JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND tcversions.importance=3 AND testplan_tcversions.urgency=1

THE MESSAGE :: SQL [110] executed [took 0.0092 secs][all took 0.505 secs]: SELECT COUNT( testplan_tcversions.id ) FROM testplan_tcversions JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND tcversions.importance=3 AND testplan_tcversions.urgency=1 Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( testplan_tcversions.id ) FROM testplan_tcversions JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND tcversions.importance=1 AND testplan_tcversions.urgency=2

THE MESSAGE :: SQL [113] executed [took 0.0090 secs][all took 0.5294 secs]: SELECT COUNT( testplan_tcversions.id ) FROM testplan_tcversions JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND tcversions.importance=1 AND testplan_tcversions.urgency=2 Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( testplan_tcversions.id ) FROM testplan_tcversions JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND tcversions.importance=2 AND testplan_tcversions.urgency=2

THE MESSAGE :: SQL [116] executed [took 0.0105 secs][all took 0.5621 secs]: SELECT COUNT( testplan_tcversions.id ) FROM testplan_tcversions JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND tcversions.importance=2 AND testplan_tcversions.urgency=2 Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( testplan_tcversions.id ) FROM testplan_tcversions JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND tcversions.importance=3 AND testplan_tcversions.urgency=2

THE MESSAGE :: SQL [119] executed [took 0.0077 secs][all took 0.5883 secs]: SELECT COUNT( testplan_tcversions.id ) FROM testplan_tcversions JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND tcversions.importance=3 AND testplan_tcversions.urgency=2 Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( testplan_tcversions.id ) FROM testplan_tcversions JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND tcversions.importance=1 AND testplan_tcversions.urgency=3

THE MESSAGE :: SQL [122] executed [took 0.0078 secs][all took 0.612 secs]: SELECT COUNT( testplan_tcversions.id ) FROM testplan_tcversions JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND tcversions.importance=1 AND testplan_tcversions.urgency=3 Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( testplan_tcversions.id ) FROM testplan_tcversions JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND tcversions.importance=2 AND testplan_tcversions.urgency=3

THE MESSAGE :: SQL [125] executed [took 0.0079 secs][all took 0.6359 secs]: SELECT COUNT( testplan_tcversions.id ) FROM testplan_tcversions JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND tcversions.importance=2 AND testplan_tcversions.urgency=3 Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( testplan_tcversions.id ) FROM testplan_tcversions JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND tcversions.importance=3 AND testplan_tcversions.urgency=3

THE MESSAGE :: SQL [128] executed [took 0.0079 secs][all took 0.6599 secs]: SELECT COUNT( testplan_tcversions.id ) FROM testplan_tcversions JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND tcversions.importance=3 AND testplan_tcversions.urgency=3 Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=1 AND testplan_tcversions.urgency=1 AND execution_ts < '2009-04-07'

THE MESSAGE :: SQL [131] executed [took 0.0076 secs][all took 0.683 secs]: SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=1 AND testplan_tcversions.urgency=1 AND execution_ts < '2009-04-07' Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=2 AND testplan_tcversions.urgency=1 AND execution_ts < '2009-04-07'

THE MESSAGE :: SQL [134] executed [took 0.0114 secs][all took 0.714 secs]: SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=2 AND testplan_tcversions.urgency=1 AND execution_ts < '2009-04-07' Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=3 AND testplan_tcversions.urgency=1 AND execution_ts < '2009-04-07'

THE MESSAGE :: SQL [137] executed [took 0.0060 secs][all took 0.7346 secs]: SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=3 AND testplan_tcversions.urgency=1 AND execution_ts < '2009-04-07' Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=1 AND testplan_tcversions.urgency=2 AND execution_ts < '2009-04-07'

THE MESSAGE :: SQL [140] executed [took 0.0057 secs][all took 0.7501 secs]: SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=1 AND testplan_tcversions.urgency=2 AND execution_ts < '2009-04-07' Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=2 AND testplan_tcversions.urgency=2 AND execution_ts < '2009-04-07'

THE MESSAGE :: SQL [143] executed [took 0.0077 secs][all took 0.7713 secs]: SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=2 AND testplan_tcversions.urgency=2 AND execution_ts < '2009-04-07' Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=3 AND testplan_tcversions.urgency=2 AND execution_ts < '2009-04-07'

THE MESSAGE :: SQL [146] executed [took 0.0079 secs][all took 0.7949 secs]: SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=3 AND testplan_tcversions.urgency=2 AND execution_ts < '2009-04-07' Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=1 AND testplan_tcversions.urgency=3 AND execution_ts < '2009-04-07'

THE MESSAGE :: SQL [149] executed [took 0.0082 secs][all took 0.8192 secs]: SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=1 AND testplan_tcversions.urgency=3 AND execution_ts < '2009-04-07' Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=2 AND testplan_tcversions.urgency=3 AND execution_ts < '2009-04-07'

THE MESSAGE :: SQL [152] executed [took 0.0073 secs][all took 0.8413 secs]: SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=2 AND testplan_tcversions.urgency=3 AND execution_ts < '2009-04-07' Query failed: errorcode[0] errormsg:
ERROR ON exec_query() - database.class.php
0 - - SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=3 AND testplan_tcversions.urgency=3 AND execution_ts < '2009-04-07'

THE MESSAGE :: SQL [155] executed [took 0.0076 secs][all took 0.8638 secs]: SELECT COUNT( DISTINCT(testplan_tcversions.id )) FROM testplan_tcversions JOIN executions ON testplan_tcversions.tcversion_id = executions.tcversion_id JOIN tcversions ON testplan_tcversions.tcversion_id = tcversions.id WHERE testplan_tcversions.testplan_id = 82 AND executions.testplan_id = 82 AND NOT executions.status = 'n' AND tcversions.importance=3 AND testplan_tcversions.urgency=3 AND execution_ts < '2009-04-07' Query failed: errorcode[0] errormsg:
(0006378)
robbanfield (reporter)
2009-04-15 06:06

I've had the same problem in a live deploy - Please see my attached patch file for postgres table definitions.

The importance field definition differs from the mysql default (I assume mysql is correct?)

I didn't have the error after making this tweak.
(0006389)
mhavlat (reporter)
2009-04-15 19:42

Thanks for the solution. There is bug in create table script (migration is fine).

  "importance" INT2 NOT NULL DEFAULT '2',
instead of
  "importance" CHAR(1) NOT NULL DEFAULT 'M',

Run the next two lines to fix it:

UPDATE tcversions SET importance='2' WHERE importance IN('M','m');
ALTER TABLE tcversions MODIFY COLUMN importance INT2 NOT NULL default '2';
(0006390)
mhavlat (reporter)
2009-04-15 19:46

In addition I corrected the next two lines for migration (for all DB types). (These lines are applicable for 1.8 Beta users only)
UPDATE tcversions
SET importance='2'
WHERE importance IN('M','m');

UPDATE tcversions
SET importance='3'
WHERE importance IN('H','h');
(0006391)
mhavlat (reporter)
2009-04-15 20:06

Committed for both HEAD and branch. Thanks for help.

- Issue History
Date Modified Username Field Change
2009-04-02 15:22 toshi New Issue
2009-04-02 15:23 toshi Note Added: 0006165
2009-04-15 06:05 robbanfield File Added: 1.8_PG_Patch.txt
2009-04-15 06:06 robbanfield Note Added: 0006378
2009-04-15 19:36 mhavlat Status new => assigned
2009-04-15 19:36 mhavlat Assigned To => mhavlat
2009-04-15 19:42 mhavlat Note Added: 0006389
2009-04-15 19:46 mhavlat Note Added: 0006390
2009-04-15 20:06 mhavlat Status assigned => resolved
2009-04-15 20:06 mhavlat Fixed in Version => 1.8.2 (bug fixing)
2009-04-15 20:06 mhavlat Resolution open => fixed
2009-04-15 20:06 mhavlat Note Added: 0006391
2009-05-11 15:55 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker